glibmm 2.34.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Glib::Timer Class Reference

Portable stop watch interface. More...

`#include <glibmm/timer.h>`

## Public Member Functions

| Timer ()
| Create a new timer.
| ~Timer ()
void | start ()
void | stop ()
void | reset ()
double | elapsed () const
| Get the elapsed time.
double | elapsed (unsigned long&microseconds) const
| Get the elapsed time.

## Detailed Description

Portable stop watch interface.

This resembles a convient and portable timer with microseconds resolution.

## Constructor & Destructor Documentation

Glib::Timer::Timer | ( |  | ) |

Create a new timer.

Also starts timing by calling start() implicitly.

Glib::Timer::~Timer | ( |  | ) |

## Member Function Documentation

double Glib::Timer::elapsed | ( |  | ) | const

Get the elapsed time.

Returns
  The value in seconds.

double Glib::Timer::elapsed | ( | unsigned long & | microseconds | ) | const

Get the elapsed time.

Returns
  The value in seconds. Also fills `microseconds` with the corresponding µs value.

void Glib::Timer::reset | ( |  | ) |

void Glib::Timer::start | ( |  | ) |

void Glib::Timer::stop | ( |  | ) |